# -*- coding: utf-8 -*-
#!/usr/bin/env python

import io
import os
import json

from google.cloud import vision
from google.cloud.vision import types
from google.oauth2 import service_account

def PictureToText(googlekey):

    #Googleの認証
    creds = service_account.Credentials.from_service_account_file(googlekey)
    if creds.requires_scopes:
        creds = creds.with_scopes(['https://www.googleapis.com/auth/cloud-platform'])

    #画像認識用のインスタンスの生成
    vision_client = vision.ImageAnnotatorClient(credentials=creds)

    #写真情報を取得する対象のファイル名
    file_name = os.path.join(
        os.path.dirname(__file__),'photo.jpg')

    #画像をロードする
    with io.open(file_name,'rb') as image_file:
        content = image_file.read()

    image = types.Image(content=content)
    
    #ラベル検出
    response = vision_client.label_detection(image=image)
    labels = response.label_annotations

    #json形式に書き換え
    t= {0:"nodate"}
    n=0
    for label in labels:
        t.update({n:label.description})
        n=n+1


    return t

if __name__ == "__main__":
    g_key='-------------'#サービスキーを入力
    ResText=PictureToText(g_key)
    print(ResText)
